import 'package:flutter/material.dart';
import 'package:flutter_travel/pages/home_page.dart';
import 'package:flutter_travel/pages/splash_page.dart';

class Routes {
  static const String index = "/";
  static const String home = "/home";
  static const String splash = "/splash";
  static const String login = "/login";
  static const String register = "/register";
  static const String setting = "/setting";
  static const String about = "/about";
  static const String feedback = "/feedback";
  static const String search = "/search";
  static const String searchResult = "/searchResult";
  static const String articleDetail = "/articleDetail";
  static const String videoDetail = "/videoDetail";
  static const String profile = "/profile";
  static const String profileEdit = "/profileEdit";
  static const String collection = "/collection";

  static MaterialPageRoute<dynamic> onGenerateRoute(RouteSettings settings) {
    switch (settings.name) {
      case index:
        return MaterialPageRoute(builder: (_) => const HomePage());
      case home:
        return MaterialPageRoute(builder: (_) => const HomePage());
      case splash:
        return MaterialPageRoute(builder: (_) => const SplashPage());
      default:
        return MaterialPageRoute(builder: (_) => const HomePage());
    }
  }
}
